Subject: Re: git-diff: --ignore-matching-lines has no effect on the output when --name-only is used

From: [email-masked]
Date: Fri, 25 Jul 2025 10:08:23 +0200

i understand, and i get why that's useful from a performance
perspective. but i think i'm arguing at a different level.

i'm saying: `--name-only` can change whether a file appears in `git
diff`'s output or not. that is surprising, because the documentation
mentions nothing about this, nor does the flag itself sound like it
would.

my argument is that the non-buggy behavior would be to make
`--name-only` more consistent with the rest of `git diff`, because it
would be less surprising. the fact that `git diff` does not look at file
contents when the flag is given to me is just an implementation detail. 

best,
arne